> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Flow

> Trigger an Activepieces flow to execute a specific routine or command.

Triggers an Activepieces automation flow with specific parameters.


## OpenAPI

````yaml POST /api/v1/flows/execute-command
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/flows/execute-command:
    post:
      tags:
        - Flows & Automation
      summary: Execute flow command
      description: Trigger an Activepieces flow to execute a specific routine or command.
      operationId: post-execute-command
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                flowId:
                  type: string
                  example: vsJjkCvDE9piUupc5Glek
                command:
                  type: string
                  example: Send Quote
              required:
                - flowId
                - command
      responses:
        '200':
          description: Flow triggered successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  output:
                    type: string
              examples:
                success:
                  value:
                    status: success
                    output: Command executed
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````